Retrieve a list of institutions
curl --request GET \
--url https://api.synctera.com/v2/institutions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/institutions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/institutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institutions": [
{
"country_codes": [
"CA"
],
"name": "Bank of America",
"routing_identifiers": [
{
"routing_number": 121116739,
"location": "123 main street",
"payment_rails": [
"WIRE"
]
}
],
"logo": "<string>"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Institutions (Beta)
Retrieve a list of institutions
GET
/
institutions
Retrieve a list of institutions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
An array of routing numbers to filter institutions. The response will only return institutions that match all of the routing numbers in the array
Minimum array length:
1Example:
"21102,10021"
The countries of operation of the financial institutions
Minimum array length:
1Available options:
US, CA Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Was this page helpful?

